package book

import "github.com/gin-gonic/gin"

func registerBookSeriesRoutes(router gin.IRoutes, routerWithoutRecord gin.IRoutes) {
	router.POST("createBookSeries", bookApiGroup.BookSeriesApi.CreateBookSeries)
	router.DELETE("deleteBookSeries", bookApiGroup.BookSeriesApi.DeleteBookSeries)
	router.DELETE("deleteBookSeriesByIds", bookApiGroup.BookSeriesApi.DeleteBookSeriesByIds)
	router.PUT("updateBookSeries", bookApiGroup.BookSeriesApi.UpdateBookSeries)
	routerWithoutRecord.GET("findBookSeries", bookApiGroup.BookSeriesApi.FindBookSeries)
	routerWithoutRecord.GET("getBookSeriesList", bookApiGroup.BookSeriesApi.GetBookSeriesList)
}
